Method: projects.locations.extensionBindings.list

Lists ExtensionBinding resources in a given project and location.

HTTP request

GET https://networkservices.googleapis.com/v1beta1/{parent=projects/*/locations/*}/extensionBindings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location from which the ExtensionBinding resources should be listed, specified in the format projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of ExtensionBinding resources to return per call.

pageToken

string

Optional. The value returned by the last ListExtensionBindingsResponse. Indicates that this is a continuation of a prior extensionBindings.list call, and that the system should return the next page of data.

Request body

The request body must be empty.

Response body

Response returned by the extensionBindings.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "extensionBindings": [
    {
      object (ExtensionBinding)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
extensionBindings[]

object (ExtensionBinding)

List of ExtensionBinding resources.

nextPageToken

string

If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.

unreachable[]

string

Unordered list. Unreachable resources. Populated when the request attempts to list all resources across all supported locations, while some locations are temporarily unavailable. The resource names are in the format projects/{project}/locations/{location}/extensionBindings/{extensionBinding}.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • networkservices.extensionBindings.list

For more information, see the IAM documentation.